Bug 54100 - Switching languages fails to preserve toolbar button states (enabled/disabled)
Summary: Switching languages fails to preserve toolbar button states (enabled/disabled)
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 2.8
Hardware: All All
: P3 minor (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks: 56927
  Show dependency tree
 
Reported: 2012-11-05 11:50 UTC by Andreas
Modified: 2014-09-08 21:38 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas 2012-11-05 11:50:03 UTC
When I run a test, and then switch language back to english, the stop/shutdown buttons are deactivated and the run-buttons are activated. The threads are still running though.
Comment 1 Andreas 2012-11-08 13:17:47 UTC
All my listerners got emptied, too.
Comment 2 Philippe Mouawad 2014-09-07 19:17:49 UTC
Date: Sun Sep  7 19:17:09 2014
New Revision: 1623109

URL: http://svn.apache.org/r1623109
Log:
Bug 54100 - Switching languages during test messes toolbar buttons state (enabled/disabled)
Bugzilla Id: 54100

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/JMeterToolBar.java
    jmeter/trunk/xdocs/changes.xml
Comment 3 Philippe Mouawad 2014-09-07 19:33:16 UTC
Only the toolbar issue has been fixed.
Fixing the other issue with listener would be a big effort which is not worth the it.


Date: Sun Sep  7 19:17:09 2014
New Revision: 1623109

URL: http://svn.apache.org/r1623109
Log:
Bug 54100 - Switching languages during test messes toolbar buttons state (enabled/disabled)
Bugzilla Id: 54100

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/JMeterToolBar.java
    jmeter/trunk/xdocs/changes.xml
Comment 4 Sebb 2014-09-08 10:40:05 UTC
Would it not be better to disable language change during a test?

There does not seem to be a valid use-case for allowing it, and disallowing the change would solve the issue of the listeners being emptied.
Comment 5 Philippe Mouawad 2014-09-08 10:49:23 UTC
Yes good idea.
But isn't it better to open a bug linked with this one, as this one (as per title) has been fixed and will appear in 2.12 release notes.
Comment 6 Philippe Mouawad 2014-09-08 11:01:58 UTC
Opened:
https://issues.apache.org/bugzilla/show_bug.cgi?id=56927
To fix issue related to Listeners.
Closing this one.
Comment 7 Sebb 2014-09-08 20:20:15 UTC
(In reply to Philippe Mouawad from comment #5)
> Yes good idea.
> But isn't it better to open a bug linked with this one, as this one (as per
> title) has been fixed and will appear in 2.12 release notes.

Why does it need a different issue?
It's just a different way to solve this bug report.
And the 2.12 release notes can be adjusted accordingly.
Comment 8 Philippe Mouawad 2014-09-08 20:25:08 UTC
In fact I fixed in the commit a bug:
"Switching languages messes toolbar" , it affected for example Undo/redo feature.
Maybe I should have created a new bug at that time.

What about renaming this bug to :
"Switching languages messes toolbar buttons state (enabled/disabled)"

And the new one I opened would be this one.

When I do this it is so that any bug mentionned in changes.xml is closed in Bugzilla.
I find it misleading to have the bug mentionned in changes.xml while it is still opened here.
Comment 9 Sebb 2014-09-08 21:37:39 UTC
(In reply to Philippe Mouawad from comment #8)
> In fact I fixed in the commit a bug:
> "Switching languages messes toolbar" , it affected for example Undo/redo
> feature.
> Maybe I should have created a new bug at that time.

Depends on the bug wording.
As originally written, it was only about language change during a test.

However it turns out that the bug was true for any language change, but was not noticeable previously as the default settings are OK when no test is running.
Undo/Redo exposed the bug outside a test.

> What about renaming this bug to :
> "Switching languages messes toolbar buttons state (enabled/disabled)"

"Switching language fails to preserve toolbar button states (enabled/disabled)"

> And the new one I opened would be this one.

OK

> 
> When I do this it is so that any bug mentionned in changes.xml is closed in
> Bugzilla.
> I find it misleading to have the bug mentionned in changes.xml while it is
> still opened here.

In that case, update changes.xml to remove the details or note that it as incomplete.